id: luxtrust-cosi-detect

info:
  name: LuxTrust COSI - Detect
  author: righettod
  severity: info
  description: |
     LuxTrust COSI was detected.
  reference:
    - https://luxtrust.com/en/professionals/our-digital-solutions/sign-electronically
  metadata:
    max-request: 1
    verified: true
  tags: panel,luxtrust,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}/web/thanks"

    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_all(to_lower(body), "plateforme de signature", "esign-web")'
        condition: and
# digest: 4a0a004730450221008cb53ae474357c8fc8245b3356cf544f226a3ae13426dab4e39b1dc752722cb202206f26f828ce1df169b0d689f27990cf3072f4a97ca01b01ee9ca3ede6f47819ec:922c64590222798bb761d5b6d8e72950